import sun.rmi.server.InactiveGroupException;

import java.util.*;


public class Bins {
    private int lowerBound;
    private int upperBound;
    private Map<Integer, Integer> resultList = new HashMap<Integer, Integer>();


    public Bins() {

    }
    public Bins(int lowerBound, int upperBound) {
        this.lowerBound = lowerBound;
        this.upperBound = upperBound;
        for (int i = lowerBound; i <= upperBound; i++) {

            resultList.put(i,0);
        }
    }

    public Map<Integer, Integer> getResultList() {

        return resultList;
    }

    public void incrementBin(Integer binNumber) {

        Integer valueAtBinNumber = resultList.get(binNumber);
        resultList.put(binNumber, valueAtBinNumber + 1);
    }
    public Integer getLowerBound(){
        return lowerBound;
    }

    public Integer getUpperBound(){
        return upperBound;
    }

    public Integer getBin(Integer binNumber){
        return resultList.get(binNumber);
    }

    public void dispBin(){
        System.out.println(resultList.toString());

    }

}
