import org.junit.*;

public class DiceTest {

    @Test
    public void diceTossTest(){
        //Given
        Dice die = new Dice(3);
        boolean actual;

        //When
        int check = die.tossAndSum();
        if (check >= 3 && check <= 18){
            actual = true;
        }
        else{
            actual = false;
        }

        //Then
        Assert.assertTrue(actual);

    }

    @Test
    public void diceTossTest2(){
        //Given
        Dice die = new Dice(1);
        boolean actual;

        //When
        int check = die.tossAndSum();
        if (check >= 10 && check <= 60){
            actual = true;
        }
        else{
            actual = false;
        }

        //Then
        Assert.assertFalse(actual);

    }
    @Test
    public void getBinTest(){
        //Given
        Dice die = new Dice(2);
        Bins results = new Bins(2, 12);
        Integer expected = 1;

        //When
        results.incrementBin(10);
        Integer actual = results.getBin(10);


        //Then
        Assert.assertEquals(expected, actual);

    }
}
