
public class Simulation {
Integer numberOfDie;
Integer numberOfThrows;
Bins storage;
Dice die;
    public Simulation(Integer numberOfDie, Integer numberOfThrows) {
        this.numberOfDie = numberOfDie;
        this.numberOfThrows = numberOfThrows;
        this.storage = new Bins(numberOfDie, (numberOfDie*6));
        this.die = new Dice(numberOfDie);
    }

    public void runSimulation(){
        for (Integer i = 0; i < numberOfThrows; i++){

            if(storage.getResultList().containsKey(die.tossAndSum())){
                storage.incrementBin(die.tossAndSum());
            }
        }
        storage.dispBin();
    }
    public void printResults(){

        for(Integer i = storage.getLowerBound(); i <= storage.getUpperBound(); i++){
            double elementValue = storage.getBin(i);
            double portion = (elementValue/numberOfThrows);
            System.out.printf("%3s: %7s: %.2f: ", i.toString(), storage.getBin(i), portion);
            for(int j = 0; j < portion*100; j++){
                System.out.print("*");
            }
            System.out.print("\n");

        }

    }


}
